# Test various methods of triggering computer braille

table: |
  include tables/unicode-without-blank.dis
  include tables/spaces.uti
  punctuation . 3
  include tables/latinLetterDef6Dots.uti
  include tables/braille-patterns.cti
  compbrl www.
  comp6 a 2
  comp6 b 23
  comp6 c 25
  begcomp 456-346
  endcomp 456-156

tests:
  # no computer braille
  - - abc
    - ⠁⠃⠉
  # computer braille triggered by compbrl
  - - www.abc
    - ⠸⠬⠺⠺⠺⠄⠂⠆⠒⠸⠱
  # computer braille triggered by typeform
  # currently fails: see issue https://github.com/liblouis/liblouis/issues/622
  - - abc abc abc
    - ⠁⠃⠉ ⠸⠬⠂⠆⠒⠸⠱ ⠁⠃⠉
    - typeform:
        computer_braille: '    +++    '
      xfail: true
  # computer braille triggered by compbrlatcursor (apparently no begcompbrl or endcompbrl)
  - - abc abc abc
    - ⠁⠃⠉ ⠂⠆⠒ ⠁⠃⠉
    - mode: [compbrlAtCursor]
      cursorPos: 4

# Test comp6 in back-translation
# see issue https://github.com/liblouis/liblouis/issues/715

flags: {testmode: backward}
tests:
  - - ⠁⠃⠉ ⠸⠬⠂⠆⠒⠸⠱ ⠁⠃⠉
    - abc abc abc
    - xfail: begcompbrl and endcompbrl are apparently consumed but not processed
